﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ExtendedTenderTypesResponse.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2015
// </copyright>
// <summary>
//   Extended tender yypes response class.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using System.Runtime.Serialization;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Services;

    /// <summary>
    /// Extended tender yypes response class.
    /// </summary>
    [DataContract]
    public class ExtendedTenderTypesResponse : TenderTypesResponse
    {
        /// <summary>
        /// Gets or sets the gift card item identifier.
        /// </summary>
        /// <value>
        /// The gift card item identifier.
        /// </value>
        [DataMember]
        public string GiftCardItemId { get; set; }
    }
}