﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IExtendedChannelService.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2015
// </copyright>
// <summary>
//   The extended channel service interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using System.ServiceModel;

    /// <summary>
    /// The extended channel service interface.
    /// </summary>
    [ServiceContract]
    public interface IExtendedChannelService
    {
        /// <summary>
        /// Gets the channel tender types extended.
        /// </summary>
        /// <returns>An extended tender types response</returns>
        [OperationContract]
        ExtendedTenderTypesResponse GetChannelTenderTypesExtended();
    }
}
